## snapd 2.68.3

=== debian/changelog ===
snapd (2.68.3-3) unstable; urgency=medium

  [ Zygmunt Krynicki ]
  * Include libc-dev-bin in Built-Using
  * Remove Luke Faraone from uploaders
  * Regenerate multilib patch
  * Patch spread.yaml to allow testing on trixie

  [ Helmut Grohne ]
  * Stop using gcc-multilib and fix snap-seccomp test.

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 15 Jul 2025 06:01:41 +0000

snapd (2.68.3-2) unstable; urgency=medium

  * switch to pkgconf
  * remove checks related to snap-repair

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 25 Mar 2025 12:33:00 +0000

snapd (2.68.3-1) unstable; urgency=medium

  [ Ernest Lotter ]
  * New upstream release, LP: #2098137
    - FDE: LP: #2101834 snapd 2.68+ and snap-bootstrap <2.68 fallback to
      old keyring path
    - Fix Plucky snapd deb build issue related to /var/lib/snapd/void
      permissions
    - Fix snapd deb build complaint about ifneq with extra bracket

  [ Zygmunt Krynicki ]
  * migrate to debhelper-compat
  * build only specific binaries
  * expand dh-golang hack to secboot/keys

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 25 Mar 2025 11:44:06 +0000

snapd (2.68.2-1) unstable; urgency=medium

  * New upstream release, LP: #2098137
    - FDE: use boot mode for FDE hooks
    - FDE: add snap-bootstrap compatibility check to prevent image
      creation with incompatible snapd and kernel snap
    - FDE: add argon2 out-of-process KDF support
    - FDE: have separate mutex for the sections writing a fresh modeenv
    - FDE: LP: #2099709 update secboot to e07f4ae48e98
    - Confdb: support pruning ephemeral data and process alternative
      types in order
    - core-initrd: look at env to mount directly to /sysroot
    - core-initrd: prepare for Plucky build and split out 24.10
      (Oracular)
    - Fix missing primed packages in snapd snap manifest
    - Interfaces: posix-mq | fix incorrect clobbering of global variable
      and make interface more precise
    - Interfaces: opengl | add more kernel fusion driver files

 -- Ernest Lotter <ernest.lotter@canonical.com>  Thu, 27 Feb 2025 09:56:20 +0200

snapd (2.68.1-1) unstable; urgency=medium

  * New upstream release, LP: #2098137
    - Fix snap-confine type specifier type mismatch on armhf

 -- Ernest Lotter <ernest.lotter@canonical.com>  Mon, 24 Feb 2025 10:31:49 +0200

snapd (2.68-1) unstable; urgency=medium

  * New upstream release, LP: #2098137
    - FDE: add support for new and more extensible key format that is
      unified between TPM and FDE hook
    - FDE: add support for adding passphrases during installation
    - FDE: update secboot to 30317622bbbc
    - Snap components: make kernel components available on firstboot
      after either initramfs or ephemeral rootfs style install
    - Snap components: mount drivers tree from initramfs so kernel
      modules are available in early boot stages
    - Snap components: support remodeling to models that contain
      components
    - Snap components: support offline remodeling to models that contain
      components
    - Snap components: support creating new recovery systems with
      components
    - Snap components: support downloading components with 'snap
      download' command
    - Snap components: support sideloading asserted components
    - AppArmor Prompting(experimental): improve version checks and
      handling of listener notification protocol for communication with
      kernel AppArmor
    - AppArmor Prompting(experimental): make prompt replies idempotent,
      and have at most one rule for any given path pattern, with
      potentially mixed outcomes and lifespans
    - AppArmor Prompting(experimental): timeout unresolved prompts after
      a period of client inactivity
    - AppArmor Prompting(experimental): return an error if a patch
      request to the API would result in a rule without any permissions
    - AppArmor Prompting(experimental): warn if there is no prompting
      client present but prompting is enabled, or if a prompting-related
      error occurs during snapd startup
    - AppArmor Prompting(experimental): do not log error when converting
      empty permissions to AppArmor permissions
    - Confdb(experimental): rename registries to confdbs (including API
      /v2/registries => /v2/confdb)
    - Confdb(experimental): support marking confdb schemas as ephemeral
    - Confdb(experimental): add confdb-control assertion and feature
      flag
    - Refresh App Awareness(experimental): LP: #2089195 prevent
      possibility of incorrect notification that snap will quit and
      update
    - Confidential VMs: snap-bootstrap support for loading partition
      information from a manifest file for cloudimg-rootfs mode
    - Confidential VMs: snap-bootstrap support for setting up cloudimg-
      rootfs as an overlayfs with integrity protection
    - dm-verity for essential snaps: add support for snap-integrity
      assertion
    - Interfaces: modify AppArmor template to allow owner read on
      @{PROC}/@{pid}/fdinfo/*
    - Interfaces: LP: #2072987 modify AppArmor template to allow using
      setpriv to run daemon as non-root user
    - Interfaces: add configfiles backend that ensures the state of
      configuration files in the filesystem
    - Interfaces: add ldconfig backend that exposes libraries coming
      from snaps to either the rootfs or to other snaps
    - Interfaces: LP: #1712808 LP: 1865503 disable udev backend when
      inside a container
    - Interfaces: add auditd-support interface that grants audit_control
      capability and required paths for auditd to function
    - Interfaces: add checkbox-support interface that allows
      unrestricted access to all devices
    - Interfaces: fwupd | allow access to dell bios recovery
    - Interfaces: fwupd | allow access to shim and fallback shim
    - Interfaces: mount-control | add mount option validator to detect
      mount option conflicts early
    - Interfaces: cpu-control | add read access to /sys/kernel/irq/

