=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Michael Hudson-Doyle <mwhudson@debian.org>
-Uploaders: Zygmunt Krynicki <me@zygoon.pl>,
-           Michael Vogt <mvo@debian.org>
+Uploaders: Zygmunt Krynicki <me@zygoon.pl>, Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                dh-apparmor,
@@ -16,7 +15,6 @@
                dbus,
                fakeroot,
                gcc-i686-linux-gnu [amd64] <!nocheck>,
-               libc6-dev-i386-cross [amd64] <!nocheck>,
                gettext,
                gnupg2,
                golang-dbus-dev,
@@ -27,7 +25,9 @@
                golang-github-jessevdk-go-flags-dev,
                golang-github-juju-ratelimit-dev,
                golang-github-kr-pretty-dev,
+               golang-github-mattn-go-runewidth-dev,
                golang-github-mvo5-goconfigparser-dev,
+               golang-github-rivo-uniseg-dev,
                golang-github-seccomp-libseccomp-golang-dev,
                golang-go (>=2:1.18),
                golang-golang-x-crypto-dev,
@@ -43,6 +43,8 @@
                grub-common,
                indent,
                libapparmor-dev,
+               libblkid-dev,
+               libc6-dev-i386-cross [amd64] <!nocheck>,
                libcap-dev,
                libglib2.0-dev,
                liblzo2-dev,
@@ -58,21 +60,26 @@
                tzdata,
                udev,
                xfslibs-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/snapcore/snapd
 Vcs-Browser: https://salsa.debian.org/debian/snapd
 Vcs-Git: https://salsa.debian.org/debian/snapd.git
 XS-Go-Import-Path: github.com/snapcore/snapd
 
 Package: golang-github-snapcore-snapd-dev
+Section: golang
 Architecture: all
 Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
         golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
 Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
           golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
 Depends: ${misc:Depends}
-Description: snappy development go packages.
- Use these to use the snappy API.
+Multi-Arch: foreign
+Description: Source code of the github.com/snapcore/snapd go module
+ This package contains the Go module for all of snapd source code.
+ A good chunk of the API is unstable and is not a guaranteed interface.
+ The client/ package is more stable and may be used by applications
+ looking to integate with the snapd REST API.
 
 Package: snapd
 Architecture: any
@@ -82,6 +89,7 @@
          default-dbus-session-bus | dbus-session-bus,
          gnupg1 | gnupg,
          kmod,
+         libcap2-bin,
          openssh-client,
          squashfs-tools,
          systemd,
@@ -93,15 +101,16 @@
           ubuntu-core-launcher (<< 2.22),
           ubuntu-snappy (<< 1.9),
           ubuntu-snappy-cli (<< 1.9)
-Breaks: snap-confine (<< 2.23),
+Breaks: snap (<< 2013-11-29),
+        snap-confine (<< 2.23),
         snapd-xdg-open (<= 0.0.0),
         ubuntu-core-launcher (<< 2.22),
         ubuntu-snappy (<< 1.9),
         ubuntu-snappy-cli (<< 1.9),
         ${snapd:Breaks}
+Static-Built-Using: ${misc:Static-Built-Using}
 Recommends: gnupg
 Suggests: zenity | kdialog
-Conflicts: snap (<< 2013-11-29-1ubuntu1)
 Built-Using: ${Built-Using} ${misc:Built-Using}
 Description: Daemon and tooling that enable snap packages
  Install, configure, refresh and remove snap packages. Snaps are
@@ -110,18 +119,3 @@
  cloud, servers, desktops and the internet of things.
  .
  Start with 'snap list' to see installed snaps.
-
-Package: snap-confine
-Architecture: any
-Section: oldlibs
-Depends: snapd (= ${binary:Version}), ${misc:Depends}
-Description: Transitional package for snapd
- This is a transitional dummy package. It can safely be removed.
-
-Package: ubuntu-core-launcher
-Architecture: any
-Depends: snapd (= ${binary:Version}), ${misc:Depends}
-Section: oldlibs
-Pre-Depends: dpkg (>= 1.15.7.2)
-Description: Transitional package for snapd
- This is a transitional dummy package. It can safely be removed.
