=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 # check if we need to include the testkeys in the binary
 # TAGS are the go build tags for all binaries, SNAP_TAGS are for snap
 # build only.
-TAGS=nosecboot
+TAGS=nosecboot nooptee
 SNAP_TAGS=nosecboot nomanagers
 ifneq (,$(filter testkeys,$(DEB_BUILD_OPTIONS)))
 	TAGS+= withtestkeys
@@ -155,7 +155,7 @@
 	find _build/src/$(DH_GOPKG)/cmd/snap-fde-keymgr -name "*.go" | xargs rm -f
 	find _build/src/$(DH_GOPKG)/gadget/install -name "*.go" | grep -vE '(params\.go|install_dummy\.go|kernel\.go)'| xargs rm -f
 	# XXX: once dh-golang understands go build tags this would not be needed
-	find _build/src/$(DH_GOPKG)/secboot/ -name "*.go" | grep -E '(.*_sb(_test)?\.go|.*_tpm(_test)?\.go|secboot_hooks.go|keymgr/)' | xargs rm -f
+	find _build/src/$(DH_GOPKG)/secboot/ -name "*.go" | grep -E '(.*_sb(_test)?\.go|.*_tpm(_test)?\.go|secboot_hooks.go|auth_requestor.go|keymgr/)' | xargs rm -f
 	mv _build/src/$(DH_GOPKG)/secboot/keys/plainkey.go _build/src/$(DH_GOPKG)/secboot/keys/plainkey_sb.go
 	mv _build/src/$(DH_GOPKG)/secboot/keys/plainkey_test.go _build/src/$(DH_GOPKG)/secboot/keys/plainkey_sb_test.go
 	find _build/src/$(DH_GOPKG)/secboot/keys/ -name "*.go" | grep -E '(.*_sb(_test)?\.go)' | xargs rm -f
@@ -177,4 +177,3 @@
 	(cd _build/bin && GO111MODULE=off GOPATH=$$(pwd)/.. go build -tags "$(TAGS)" --ldflags '-extldflags "-static"' $(GCCGOFLAGS) -pkgdir=$$(pwd)/std $(DH_GOPKG)/cmd/snap-update-ns)
 
 	# ensure we generated a static build
-	$(shell	if ldd _build/bin/snap-exec; then false "need static build"; fi)
