=== debian/watch ===
version=4
  opts="searchmode=plain,\
  filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
  https://api.github.com/repos/snapcore/snapd/releases?per_page=100 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
